import formMixin from '@mixins/formMixin';

export default {
  name: 'TheForgotten',
  props: {
    info: {
      type: Object,
      required: true,
    },
  },
  mixins: [formMixin],
  data() {
    return {
      email_forgotten: '',
      ...this.info
    };
  },
  beforeDestroy() {
    this.$refs.validationObserver.reset();
  },
  computed: {
    sendData() {
      return {
        email_forgotten: this.email_forgotten
      };
    }
  },
};
